package com.xjrsoft.module.system.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.system.dto.AddXjrMenuGroupDto;
import com.xjrsoft.module.system.dto.XjrMenuGroupMenuListDto;
import com.xjrsoft.module.system.entity.XjrMenuGroup;
import com.xjrsoft.module.system.entity.XjrMenuGroupSet;
import com.xjrsoft.module.system.vo.XjrMenuGroupMenuListVo;

import java.util.List;

/**
* @title: 功能分类设置
* @Author dzx
* @Date: 2024-08-09
* @Version 1.0
*/

public interface IXjrMenuGroupSetService extends MPJBaseService<XjrMenuGroupSet> {
    /**
    * 新增
    *
    * @param xjrMenuGroupSet
    * @return
    */
    Boolean add(XjrMenuGroupSet xjrMenuGroupSet);

    /**
    * 更新
    *
    * @param xjrMenuGroupSet
    * @return
    */
    Boolean update(XjrMenuGroupSet xjrMenuGroupSet);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    List<XjrMenuGroupMenuListVo> getMenuList(XjrMenuGroupMenuListDto dto);

    Boolean setMenu(AddXjrMenuGroupDto dto);

    List<XjrMenuGroup> getXjrMenuGroupMenu();
}
